searchData={"content_type":"text/markdown","items":[{"doc":"Adapter module for Firebird.\n\nIt uses `Firebirdex` for communicating to the database.","ref":"Ecto.Adapters.Firebird.html","title":"Ecto.Adapters.Firebird","type":"module"},{"doc":"#","ref":"Ecto.Adapters.Firebird.html#module-options","title":"Options - Ecto.Adapters.Firebird","type":"module"},{"doc":"* `:hostname` - Server hostname\n  * `:port` - Server port (default: 3305)\n  * `:username` - Username\n  * `:password` - User password (or use FIREBIRD_PASSWORD environment)\n  * `:database` - the database to connect to\n  * `:pool` - The connection pool module, defaults to `DBConnection.ConnectionPool`\n\nWe also recommend developers to consult the `Firebirdex.start_link/1` documentation.","ref":"Ecto.Adapters.Firebird.html#module-connection-options","title":"Connection options - Ecto.Adapters.Firebird","type":"module"},{"doc":"# Ecto Firebird Adapter\n\nAn Ecto Firebird adapter. Uses [Firebirdex](https://github.com/nakagami/firebirdex)\nas the driver to communicate with [Firebird](https://firebirdsql.org/).\n\nBased on [Ecto SQLite3 Adapter](https://github.com/elixir-sqlite/ecto_sqlite3).\nSpecial thanks to the developers of Ecto SQLite3 Adapter!","ref":"readme.html","title":"Ecto Firebird Adapter","type":"extras"},{"doc":"```elixir\ndefp deps do\n  [\n    ...\n    {:ecto_firebird, \">= 0.0.0\"}\n  ]\nend\n```","ref":"readme.html#installation","title":"Installation - Ecto Firebird Adapter","type":"extras"},{"doc":"Define your repo similar to this.\n\n```elixir\ndefmodule MyApp.Repo do\n  use Ecto.Repo, otp_app: :my_app, adapter: Ecto.Adapters.Ecto.Adapters.Firebird\nend\n```\n\nConfigure your repository similar to the following.\n\n```elixir\nconfig :my_app,\n  ecto_repos: [MyApp.Repo]\n\nconfig :my_app, MyApp.Repo,\n  hostname: \"servername\",\n  username: \"SYSDBA\",\n  password: \"secret\",\n  database: \"/path/to/my/database.db\"\n```","ref":"readme.html#usage","title":"Usage - Ecto Firebird Adapter","type":"extras"}]}